Bug 1576347 - [abrt] systemd: log_assert_failed_realm(): systemd-logind killed by SIGABRT
Summary: [abrt] systemd: log_assert_failed_realm(): systemd-logind killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7ac3f6c67b115df429a8d3c1f7f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-09 09:04 UTC by aoellerer
Modified: 2018-11-30 22:13 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:13:30 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (11.63 KB, text/plain)
2018-05-09 09:04 UTC, aoellerer
no flags Details
File: cgroup (293 bytes, text/plain)
2018-05-09 09:04 UTC, aoellerer
no flags Details
File: core_backtrace (5.00 KB, text/plain)
2018-05-09 09:04 UTC, aoellerer
no flags Details
File: cpuinfo (1.14 KB, text/plain)
2018-05-09 09:04 UTC, aoellerer
no flags Details
File: dso_list (2.96 KB, text/plain)
2018-05-09 09:04 UTC, aoellerer
no flags Details
File: environ (439 bytes, text/plain)
2018-05-09 09:04 UTC, aoellerer
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-09 09:04 UTC, aoellerer
no flags Details
File: maps (12.51 KB, text/plain)
2018-05-09 09:04 UTC, aoellerer
no flags Details
File: mountinfo (3.69 KB, text/plain)
2018-05-09 09:04 UTC, aoellerer
no flags Details
File: open_fds (3.95 KB, text/plain)
2018-05-09 09:04 UTC, aoellerer
no flags Details
File: proc_pid_status (1.24 KB, text/plain)
2018-05-09 09:04 UTC, aoellerer
no flags Details
File: var_log_messages (3.90 KB, text/plain)
2018-05-09 09:04 UTC, aoellerer
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1562569 0 unspecified CLOSED [abrt] systemd: log_assert_failed_realm(): systemd-logind killed by SIGABRT 2021-02-22 00:41:40 UTC

Internal Links: 1562569

Description aoellerer 2018-05-09 09:04:35 UTC
Version-Release number of selected component:
systemd-234-10.git5f8984e.fc27

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/lib/systemd/systemd-logind
crash_function: log_assert_failed_realm
executable:     /usr/lib/systemd/systemd-logind
journald_cursor: s=f81c424ba54e4c999050456891e8ed81;i=5ba2b7;b=9612848668534dba984f164ffa809004;m=2fe1d9acf;t=56a83fe828f8d;x=a4a24cf5f1834819
kernel:         4.15.17-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 log_assert_failed_realm at ../src/basic/log.c:810
 #3 close_nointr at ../src/basic/fd-util.c:39
 #4 session_device_free at ../src/login/logind-session-device.c:414
 #5 session_release_controller at ../src/login/logind-session.c:1218
 #6 session_drop_controller at ../src/login/logind-session.c:1292
 #7 method_release_control.lto_priv.61 at ../src/login/logind-session-dbus.c:415
 #8 method_callbacks_run at ../src/libsystemd/sd-bus/bus-objects.c:418
 #9 object_find_and_run at ../src/libsystemd/sd-bus/bus-objects.c:1273
 #10 bus_process_object at ../src/libsystemd/sd-bus/bus-objects.c:1399
 #11 process_message at ../src/libsystemd/sd-bus/sd-bus.c:2580

Comment 1 aoellerer 2018-05-09 09:04:42 UTC
Created attachment 1433635 [details]
File: backtrace

Comment 2 aoellerer 2018-05-09 09:04:43 UTC
Created attachment 1433636 [details]
File: cgroup

Comment 3 aoellerer 2018-05-09 09:04:45 UTC
Created attachment 1433637 [details]
File: core_backtrace

Comment 4 aoellerer 2018-05-09 09:04:46 UTC
Created attachment 1433638 [details]
File: cpuinfo

Comment 5 aoellerer 2018-05-09 09:04:48 UTC
Created attachment 1433639 [details]
File: dso_list

Comment 6 aoellerer 2018-05-09 09:04:49 UTC
Created attachment 1433640 [details]
File: environ

Comment 7 aoellerer 2018-05-09 09:04:50 UTC
Created attachment 1433641 [details]
File: limits

Comment 8 aoellerer 2018-05-09 09:04:52 UTC
Created attachment 1433642 [details]
File: maps

Comment 9 aoellerer 2018-05-09 09:04:54 UTC
Created attachment 1433643 [details]
File: mountinfo

Comment 10 aoellerer 2018-05-09 09:04:55 UTC
Created attachment 1433644 [details]
File: open_fds

Comment 11 aoellerer 2018-05-09 09:04:56 UTC
Created attachment 1433645 [details]
File: proc_pid_status

Comment 12 aoellerer 2018-05-09 09:04:58 UTC
Created attachment 1433646 [details]
File: var_log_messages

Comment 13 Zbigniew Jędrzejewski-Szmek 2018-07-18 12:06:54 UTC
> Assertion 'fd >= 0' failed at ../src/basic/fd-util.c:39, function close_nointr(). Aborting.

https://github.com/systemd/systemd/pull/9642

Comment 14 Zbigniew Jędrzejewski-Szmek 2018-07-19 09:57:47 UTC
It turns out my PR wasn't useful.

I pushed a fix to the stable branch directly:
https://github.com/systemd/systemd-stable/commit/143cd39605.

Comment 15 Ben Cotton 2018-11-27 14:57:25 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2018-11-30 22:13:30 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.